<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core" 
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="formSigevi" style="overflow-x: hidden">

            <h:outputText 
                value="SIGEVI: Generar Archivo" 
                style="font-weight: bold"/>
            
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>

            <h:panelGrid 
                id="busquedaPGId" 
                columns="1"
                styleClass="panelNoBorder" 
                cellpadding="3"
                style="position: relative; 
                       left: 15%;">

                <p:row>
                    <h:outputText value="Ejercicio Fiscal" />
                </p:row>
                
                <p:row>
                    <p:selectOneMenu 
                        id="cmbEjercicioFiscal" 
                        style="width:200px"
                        styleClass="selectOneMenu" 
                        converter="entityConverter"
                        filter="true"
                        autoWidth="false"
                        filterMatchMode="contains"
                        title="Ejercicio Fiscal"
                        value="#{rhNomnSIGEVIMB.idEjercicioADD}">
                        
                        <p:ajax   event="change"
                              listener="#{rhNomnSIGEVIMB.obtenerQuincenas}"
                              process="@(.ejercicio)"
                              update="@(.quincenas)"
                              />
                        
                        <f:selectItem 
                            itemLabel="Elige una opción..." />
                        
                        <f:selectItems
                            value="#{rhNomnSIGEVIMB.lstEjercicioADD}"
                            var="ej"
                            itemLabel="#{ej.valor}"
                            itemValue="#{ej.idEjercicio}" 
                            />

                        
                    </p:selectOneMenu>
                    
                   
                </p:row>

                <p:row >
                    
                    <p:outputLabel value="Quincena" for="quincenas" />
                </p:row>
                    
                    
                <p:row >    
                    <p:selectOneMenu id="quincenas"
                                     class="quincenas"                                     
                                     value="#{rhNomnSIGEVIMB.idQuincenaAdd}"
                                     style="min-width: 200px !important;"
                                     
                                     >
                        
                        <p:ajax   event="change"
                              
                              process="@this"
                              immediate="true"
                              />
                        
                        <f:selectItem itemLabel="Seleccionar Quincena"

                                      noSelectionOption="true" />
                        <f:selectItems value="#{rhNomnSIGEVIMB.quincenas}"
                                       var="quincena"
                                       itemLabel="#{quincena.get('DESCRIPCION_QUINCENA')}"
                                       itemValue="#{quincena.get('ID_QUINCENA')}"
                                       
                                       />

                    </p:selectOneMenu>
                    
                </p:row>

                <p:row>
                    <p:commandButton 
                        value="Generar Archivo" 
                        title="Generar Archivo con los movimientos en esta quincena"
                        style="margin-right:30px;"
                        styleClass="commandButton"
                        action="#{rhNomnSIGEVIMB.buscarCambiosSIGEVI()}"
                        immediate="true"  
                        process="@this"  
                        update="@(form) @(.quincenas) @(.idTblSIGEVI) excel"
                        >
                    </p:commandButton>    
                    
                    <p:commandButton 
                        id="btnRegresar" 
                        process="@form"
                        value="Regresar" 
                        title="Regresar" 
                        style="margin-right:30px;"
                            styleClass="commandButton"
                        actionListener="#{rhNomnSIGEVIMB.regresar}">
                    </p:commandButton>
                    
                    
            <h:commandLink  id="excel" style="text-align: right;visibility: hidden " title="Descarga de registros en archivo XLS">
                <p:graphicImage library="img"  value="../../../../resources/images/excel.png" />
                <p:dataExporter type="xls" target="idTblSIGEVI" fileName="SIGEVI" />
            </h:commandLink>
            
            <p:dataTable  
                     
                    id="idTblSIGEVI" 
                    var="var" 
                    paginator="true" 
                    onExpandStart="inicio()" 
                    style="visibility: hidden"
                    value  = "#{rhNomnSIGEVIMB.lstSigeviDet}"
                    paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                    {PageLinks} {NextPageLink} {LastPageLink}"
                    scrollable="true" scrollWidth="200%"
                    currentPageReportTemplate="#{msg['inai.medios.common.registroText']} 
                    {startRecord}-{endRecord}  #{msg['inai.medios.common.deText']} 
                    {totalRecords}             #{msg['inai.medios.common.disponiblesText']}"
                    paginatorPosition="bottom" rows="20"
                    emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                    >               
              

                    <f:facet name="header">
                            <h:outputText styleClass="header-table" value="Registros Encontrados" />

                          
                    </f:facet>
                 
                     
                     <p:column 
                        headerText="No. Empleado" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strNumEmpl}" />
                    </p:column>
                     
                     <p:column 
                        headerText="RFC" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strRFC}" />
                    </p:column>
                     
                     <p:column 
                        headerText="Nombre" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strNombre}" />
                    </p:column>
                     
                     <p:column 


                        headerText="Unidad" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intCveUnidAdm}" />
                    </p:column>
                     
                     
                    <p:column 
                        headerText="Puesto" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCvePsto}" />
                    </p:column>
                     
                      <p:column 
                        headerText="No. Cuenta" style="font-size: 70%; text-align: center">
                          <h:outputText   value="#{var.strNumCta}" />                        
                    </p:column>
                     
                     <p:column 
                        headerText="Clabe" style="font-size: 70%; text-align: center">
                         <h:outputText   value="#{var.strClabe}" />
                    </p:column>
                    
                     
                     
                    <p:column 
                        headerText="Nombre de Banco" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strBanco}" />
                    </p:column>
                     
                    <p:column 
                        headerText="Cuenta de dominio" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strDominio}" />
                    </p:column>
                     
                    <p:column 
                        headerText="Correo Electrónico" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCorreo}" />
                    </p:column>
                     
                    <p:column 
                        headerText="Operación" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strOperacion}" />
                    </p:column>
                
                     
                    <p:column 
                        headerText="AutorizaNacional" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strAutorNac}" />
                    </p:column>
                     
                      <p:column 
                        headerText="AutorizaGral" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strAutorGnrl}" />
                    </p:column>
                     
                     
                     <p:column 

                        headerText="Cargo" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCargo}" />
                    </p:column>
                     
                </p:dataTable>
                </p:row>               
                
            <p:row>
                
           </p:row> 
                
            </h:panelGrid>  
            
            
            
            

        </h:form>  
        
       
    </ui:define>                    
</ui:composition>
